Subject: Re: bug#56902: 29.0.50; Another build failure
From: Stefan Monnier <[email-masked]>
To: Gerd Möllmann <[email-masked]>
Cc: [email-masked], Pankaj Jangid <[email-masked]>
Date: Wed, 03 Aug 2022 04:51:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Gerd Möllmann [2022-08-03 08:54:26] wrote:
> Since I didn't see code supporting class finalization and
> forward-referenced classes anywhere, I'm answering my own question, and
> I have pushed a fix.

Thanks Gerd.  But that just undoes what I did before, so it gives us
back:

    [...]
      ELC      cedet/semantic/complete.elc
    Compiler-macro error for cl-typep: Handler: cl-typep--inliner
    (error "Unknown type semantic-displayer-focus-abstract")
    [...]

I just pushed a different take on the problem, which I hope fixes the
problem for good this time.

        Stefan